/************************************************************************/
/* gtcdef.h - GPL Telescope Control Library Definitions Header		*/
/************************************************************************/
/*
 *  (c) 2004 Todd Shadburn
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
/************************************************************************/

#ifndef _GTCDEF_H_
#define _GTCDEF_H_


/* Boolean Definitions */
#define	DISABLE				0
#define	ENABLE				1
#define	OFF				0
#define	ON				1
#define	FALSE				0
#define	TRUE				1


/* Mount Alignment Definitions */
#define	GTC_ALIGNMENT_ALTAZ		0x00010001
#define	GTC_ALIGNMENT_POLAR		0x00010002
#define	GTC_ALIGNMENT_LAND		0x00010003


/* Object Catalog Definitions */
#define	GTC_CATALOG_DEEPSKY		0x00020001
#define	GTC_CATALOG_MESSIER		0x00020002
#define	GTC_CATALOG_STAR		0x00020003


/* GTC option types */
#define	GTC_OPTION_TYPE_INT		0x00000001
#define	GTC_OPTION_TYPE_DOUBLE		0x00000002
#define	GTC_OPTION_TYPE_BOOLEAN		0x00000004
#define	GTC_OPTION_TYPE_STRING		0x00000008


/* GTC option flags */
#define	GTC_OPTION_FLAG_READONLY	0x00000001


/* Error Code Definitions */
/* (Try to align, when possible, with ISO C99 errors) */
#define GTC_RC_SUCCESS			0
#define GTC_RC_NOPERMISSION		1
#define GTC_RC_NOENTRY			2

#define GTC_RC_BADFILENUMBER		9
#define GTC_RC_NOMEMORY			12
#define GTC_RC_DEVICEBUSY		16
#define GTC_RC_INVALIDARGUMENT		22
#define GTC_RC_UNIMPLEMENTED		38
#define GTC_RC_TIMEDOUT			110


/* GTC Specific error codes */
#define GTC_RC_HARDLIMIT		1001	/* Can't complete, limit reached */
#define GTC_RC_MODULELOADERROR		1002	/* Can't load module */
#define GTC_RC_MODULEINUSE		1003	/* module is in use */
#define GTC_RC_ALIGNFAILED		1004	/* alignment failed */
#define GTC_RC_BELOWHORIZON		1005	/* target below horizon */
#define GTC_RC_INTERNALERROR		1006	/* internal error */
#define GTC_RC_INVALIDCOMMAND		1007	/* invalid (sub)command */
#define GTC_RC_MISSINGARGUMENT		1008	/* missing command argument */
#define GTC_RC_DEVICENOTPRESENT		1009	/* a device is not present */

#endif

